; translate ISDN CAPI 1.1 cause codes to human readable messages

[Common]

; Select your Language / Sprache whlen
PutEnv LANGUAGE=ENGLISH
;PutEnv LANGUAGE=DEUTSCH

; StringReplacement-Angaben zur bersetzung der "CAPI-Causes" von
; numerischen Fehlermeldungen zu Fehlermeldungen in Textform
;
; geschrieben von Hauke Hagenhoff + Andre Grueneberg
; aus der cFos (chris lueders und Martin Winkler) Dokumentation entnommen
;
; Version fr CAPI 1.1 (Deutsch) vom 13.5.1997
;
; Fr die Umwandlung von Meldungen im cFos-Stil
;
; (BUSY|...|NO CARRIER)/CAUSE=xxxx
;
[%LANGUAGE%==DEUTSCH]
StringRep /CAUSE=1001 /Fehler bei API_REGISTER (1001)
StringRep /CAUSE=1002 /Illegale Applications-ID (1002)
StringRep /CAUSE=1003 /Illegale Nachricht (1003)
StringRep /CAUSE=1004 /Illegales Kommando oder Unterkommando (1004)
StringRep /CAUSE=1005 /Warteschlange ist voll (1005)
StringRep /CAUSE=1006 /Warteschlange ist leer (1006)
StringRep /CAUSE=1007 /berlauf der Warteschlange (1007)
StringRep /CAUSE=1008 /Deinstallations-Fehler (1008)
StringRep /CAUSE=1009 /Windows Adressen Fehler (1009)
StringRep /CAUSE=2001 /Illegaler Kontroller (2001)
StringRep /CAUSE=2002 /Illegaler PLCI (2002)
StringRep /CAUSE=2003 /Illegaler NCCI (2003)
StringRep /CAUSE=2004 /Illegaler Typ (2004)
StringRep /CAUSE=3101 /B-Kanal fehlerhaft (3101)
StringRep /CAUSE=3102 /Infomaske fehlerhaft (3102)
StringRep /CAUSE=3103 /Serviced-EAZ-Maske fehlerhaft (3103)
StringRep /CAUSE=3104 /Serviced-SI-Maske fehlerhaft (3104)
StringRep /CAUSE=3105 /Illegales B2 Protokoll (3105)
StringRep /CAUSE=3106 /Illegaler DLPD (3106)
StringRep /CAUSE=3107 /Illegales B3 Protokoll (3107)
StringRep /CAUSE=3108 /Illegaler NCPD (3108)
StringRep /CAUSE=3109 /Illegaler NCPI (3109)
StringRep /CAUSE=310a /Illegale Flags (310a)
StringRep /CAUSE=3201 /allgemeiner Kontroller Fehler (3201)
StringRep /CAUSE=3202 /Nicht-eindeutige LISTEN_REQs (3202)
StringRep /CAUSE=3203 /Funktion nicht untersttzt (3203)
StringRep /CAUSE=3204 /PLCI inaktiv (3204)
StringRep /CAUSE=3205 /NCCI inaktiv (3205)
StringRep /CAUSE=3206 /B2 Protokoll nicht untersttzt (3206)
StringRep /CAUSE=3207 /kann B2 Protokoll jetzt nicht whlen (3207)
StringRep /CAUSE=3208 /B3 Protokoll nicht untersttzt (3208)
StringRep /CAUSE=3209 /kann B3 Protokoll jetzt nicht whlen (3209)
StringRep /CAUSE=320a /illegale DLPD Parameter (320a)
StringRep /CAUSE=320b /illegale NCPD Parameter (320b)
StringRep /CAUSE=320c /illegale NCPI Parameter (320c)
StringRep /CAUSE=320d /Datenlnge nicht untersttzt (320d)
StringRep /CAUSE=3301 /Fehler beim Aufbau des D-Kanal Ebene 1 (3301)
StringRep /CAUSE=3302 /Fehler beim Aufbau des D-Kanal Ebene 2 (3302)
StringRep /CAUSE=3303 /Fehler beim Aufbau des B-Kanal Ebene 1 (3303)
StringRep /CAUSE=3304 /Fehler beim Aufbau des B-Kanal Ebene 2 (3304)
StringRep /CAUSE=3305 /Unterbrechung auf D-Kanal Ebene 1 (3305)
StringRep /CAUSE=3306 /Unterbrechung auf D-Kanal Ebene 2 (3306)
StringRep /CAUSE=3307 /Unterbrechung auf D-Kanal Ebene 3 (3307)
StringRep /CAUSE=3308 /Unterbrechung auf B-Kanal Ebene 1 (3308)
StringRep /CAUSE=3309 /Unterbrechung auf B-Kanal Ebene 2 (3309)
StringRep /CAUSE=330a /Unterbrechung auf B-Kanal Ebene 3 (330a)
StringRep /CAUSE=330b /Wiederherstellung auf B-Kanal Ebene 2 (330b)
StringRep /CAUSE=330c /Wiederherstellung auf B-Kanal Ebene 3 (330c)
StringRep /CAUSE=3400 /Normales Verbindungsende (3400)
StringRep /CAUSE=3480 /Normales Verbindungsende (3480)
StringRep /CAUSE=3481 /Ungltiger CR Wert (3481)
StringRep /CAUSE=3483 /Sprachdienste (3483)
StringRep /CAUSE=3487 /Unbekannte Anrufer Identitt (3487)
StringRep /CAUSE=3488 /Anrufer Indentifikation unterbrochen (3488)
StringRep /CAUSE=3489 /Kein Kanal verfgbar (3489)
StringRep /CAUSE=348a /Kein Kanal verfgbar (348a)
StringRep /CAUSE=3490 /FAC Code in diesem Netzwerk unbekannt (3490)
StringRep /CAUSE=3491 /erwnschter Service zurckgewiesen (3491)
StringRep /CAUSE=34a0 /Ausgehende Anrufe blockiert (34a0)
StringRep /CAUSE=34a1 /Benutzeranschluá besetzt (34a1)
StringRep /CAUSE=34a2 /Nicht existierende CUG (34a2)
StringRep /CAUSE=34a3 /Nicht existierende CUG (34a3)
StringRep /CAUSE=34b5 /Gegenseite nicht erreichbar (34b5)
StringRep /CAUSE=34b8 /Nummer gendert (34b8)
StringRep /CAUSE=34b9 /Nicht betriebsbereit (34b9)
StringRep /CAUSE=34ba /Gegenstelle antwortet nicht (34Ba)
StringRep /CAUSE=34bb /Benutzer besetzt (34bb)
StringRep /CAUSE=34bd /Eingehende Anrufe blockiert (34bd)
StringRep /CAUSE=34be /Anruf abgelehnt (34be)
StringRep /CAUSE=34d8 /Unzulssige Empfnger Adresse (34d8)
StringRep /CAUSE=34d9 /ISDN-Netzwerk berlastet (34d9)
StringRep /CAUSE=34da /Gegenseite angenommen (34da)
StringRep /CAUSE=34f0 /lokaler Verarbeitungsfehler (34f0)
StringRep /CAUSE=34f1 /Verarbeitungsfehler auf der Gegenseite (34f1)
StringRep /CAUSE=34f2 /Gegenseite hat aufgelegt (34f2)
StringRep /CAUSE=34f3 /Gegenseite hat nicht aufgelegt (34f3)
StringRep /CAUSE=34ff /User to User info lokal abgewiesen (34ff)
StringRep /CAUSE=4001 /Stollmann: zu viele Applikationen (4001)
StringRep /CAUSE=4002 /Stollmann: Blocklnge zu groá (4002)
StringRep /CAUSE=4003 /Stollmann: Fehler beim Initialisieren der Message Queue (4003)
StringRep /CAUSE=4004 /Stollmann: kein PLCI cntl block verfgbar (4004)
StringRep /CAUSE=40ff /Stollmann: Funktion in diesem Zusammenhang nicht erlaubt (40ff)
StringRep /CAUSE=4101 /Stollmann: Verlust der Frame-Synchronisation (4101)
StringRep /CAUSE=4201 /Stollmann: kann nicht deinstallieren, nicht an der Spitze der INT Kette (4201)
StringRep /CAUSE=4202 /Stollmann: kann nicht deinstallieren, Applikation noch aktiv (4202)


; StringReplacement-settings to translate the "CAPI-Causes" from
; numeric errorcodes into readable errormessages.
;
; written by Hauke Hagenhoff + Andre Grueneberg
; extracted from the cFos (chris lueders and Martin Winkler) documentation
;
; Version for CAPI 1.1 (English) on 1997/5/13
;
; For translation of cFos-Style messages
;
; (BUSY|...|NO CARRIER)/CAUSE=xxxx
;
[%LANGUAGE%==ENGLISH]
StringRep /CAUSE=1001 /Error on API_REGISTER (1001)
StringRep /CAUSE=1002 /Illegal application-id (1002)
StringRep /CAUSE=1003 /Illegal message (1003)
StringRep /CAUSE=1004 /Illegal command or subcommand (1004)
StringRep /CAUSE=1005 /Queue is full (1005)
StringRep /CAUSE=1006 /Queue is empty (1006)
StringRep /CAUSE=1007 /Queue overflow (1007)
StringRep /CAUSE=1008 /Deinstall error (1008)
StringRep /CAUSE=1009 /Windows address error (1009)
StringRep /CAUSE=2001 /Illegal Controller (2001)
StringRep /CAUSE=2002 /Illegal PLCI (2002)
StringRep /CAUSE=2003 /Illegal NCCI (2003)
StringRep /CAUSE=2004 /Illegal type (2004)
StringRep /CAUSE=3101 /B-channel erroneous (3101)
StringRep /CAUSE=3102 /Infomask erroneous (3102)
StringRep /CAUSE=3103 /Serviced-EAZ-mask erroneous (3103)
StringRep /CAUSE=3104 /Serviced-SI-mask erroneous (3104)
StringRep /CAUSE=3105 /Illegal B2 protocol (3105)
StringRep /CAUSE=3106 /Illegal DLPD (3106)
StringRep /CAUSE=3107 /Illegal B3 protocol (3107)
StringRep /CAUSE=3108 /Illegal NCPD (3108)
StringRep /CAUSE=3109 /Illegal NCPI (3109)
StringRep /CAUSE=310a /Illegal flags (310a)
StringRep /CAUSE=3201 /General controller error (3201)
StringRep /CAUSE=3202 /non-unique LISTEN_REQs (3202)
StringRep /CAUSE=3203 /function not supported (3203)
StringRep /CAUSE=3204 /PLCI inactive (3204)
StringRep /CAUSE=3205 /NCCI inactive (3205)
StringRep /CAUSE=3206 /B2 protocol not supported (3206)
StringRep /CAUSE=3207 /can't select B2 protocol now (3207)
StringRep /CAUSE=3208 /B3 protocol not supported (3208)
StringRep /CAUSE=3209 /can't select B3 protocol now (3209)
StringRep /CAUSE=320a /illegal DLPD parameters (320a)
StringRep /CAUSE=320b /illegal NCPD parameters (320b)
StringRep /CAUSE=320c /illegal NCPI parameters (320c)
StringRep /CAUSE=320d /data length not supported (320d)
StringRep /CAUSE=3301 /D channel layer 1 setup error (3301)
StringRep /CAUSE=3302 /D channel layer 2 setup error (3302)
StringRep /CAUSE=3303 /B channel layer 1 setup error (3303)
StringRep /CAUSE=3304 /B channel layer 2 setup error (3304)
StringRep /CAUSE=3305 /D channel layer 1 shutdown (3305)
StringRep /CAUSE=3306 /D channel layer 2 shutdown (3306)
StringRep /CAUSE=3307 /D channel layer 3 shutdown (3307)
StringRep /CAUSE=3308 /B channel layer 1 shutdown (3308)
StringRep /CAUSE=3309 /B channel layer 2 shutdown (3309)
StringRep /CAUSE=330a /B channel layer 3 shutdown (330a)
StringRep /CAUSE=330b /B channel layer 2 reestablished (330b)
StringRep /CAUSE=330c /B channel layer 3 reestablished (330c)
StringRep /CAUSE=3400 /Normal disconnect, no cause given by network (3400)
StringRep /CAUSE=3480 /Normal disconnect, no cause given by network (3480)
StringRep /CAUSE=3481 /Invalid CR value (3481)
StringRep /CAUSE=3483 /Bearer service not implemented (=Voice) (3483)
StringRep /CAUSE=3487 /Unknown caller identity (3487)
StringRep /CAUSE=3488 /Call Identity already suspended (3488)
StringRep /CAUSE=3489 /No channel available (3489)
StringRep /CAUSE=348a /No channel available (348a)
StringRep /CAUSE=3490 /FAC Code unknown in this network (3490)
StringRep /CAUSE=3491 /requested service rejected (3491)
StringRep /CAUSE=34a0 /Outgoing calls barred (34a0)
StringRep /CAUSE=34a1 /User access busy (34a1)
StringRep /CAUSE=34a2 /Nonexistent CUG (34a2)
StringRep /CAUSE=34a3 /Nonexistent CUG (34a3)
StringRep /CAUSE=34a5 /Invalid or unknown destination (34a5)
StringRep /CAUSE=34b5 /Destination not obtainable (34b5)
StringRep /CAUSE=34b8 /Number changed (34b8)
StringRep /CAUSE=34b9 /Out of order (34b9)
StringRep /CAUSE=34ba /No user responding (34ba)
StringRep /CAUSE=34bb /User busy (34bb)
StringRep /CAUSE=34bd /Incoming calls barred (34bd)
StringRep /CAUSE=34be /Call rejected (34be)
StringRep /CAUSE=34d8 /Invalid destination address (34d8)
StringRep /CAUSE=34d9 /Network congestion (34d9)
StringRep /CAUSE=34da /Remote user initiated (34da)
StringRep /CAUSE=34f0 /Local procedure error (34f0)
StringRep /CAUSE=34f1 /Remote procedure error (34f1)
StringRep /CAUSE=34f2 /Remote suspended (34f2)
StringRep /CAUSE=34f3 /Remote not suspended (34f3)
StringRep /CAUSE=34ff /Local reject of User to User info (34ff)
StringRep /CAUSE=4001 /Stollmann: too many applications (4001)
StringRep /CAUSE=4002 /Stollmann: block size too large (4002)
StringRep /CAUSE=4003 /Stollmann: error on init of message queue (4003)
StringRep /CAUSE=4004 /Stollmann: no PLCI cntl block available (4004)
StringRep /CAUSE=40ff /Stollmann: function not allowed in current context (40ff)
StringRep /CAUSE=4101 /Stollmann; Verlust der Frame-Synchronisation (4101)
StringRep /CAUSE=4201 /Stollmann: can't deinstall, not on top of int chain (4201)
StringRep /CAUSE=4202 /Stollmann: can't deinstall, application still active (4202)

[Common]
